const path = require('path');

const AssetListWebpackPlugin = require('./src/asset-list-webpack-plugin');
const CleanWebpackPlugin = require('clean-webpack-plugin');

const PATHS = {
  entry: path.join(__dirname, 'test', 'index.js'),
  build: path.join(__dirname, 'build'),
};

module.exports = {
  entry: {
    main: PATHS.entry,
  },

  output: {
    path: PATHS.build,
    filename: '[name].[chunkhash].js',
  },

  optimization: {
    splitChunks: {
      cacheGroups: {
        commons: {
          test: /[\\/]node_modules[\\/]/,
          name: 'vendor',
          chunks: 'initial',
        },
      },
    },
  },

  plugins: [
    new CleanWebpackPlugin('build/'),
    new AssetListWebpackPlugin()
  ],

  devtool: 'source-map'
};
